## Cisco Content Security Fundamentals
- Email Security
- Web Security


### 1. Email Security
- **Spam Protection**: Filtering out unwanted and potentially harmful email messages.
- **Virus and Malware Defense**: Scanning emails for malicious software.
- **Phishing Protection**: Detecting and blocking attempts to acquire sensitive information through deceptive emails.
- **Data Loss Prevention (DLP)**: Preventing sensitive information from leaving the organization via email.
- **Email Encryption**: Ensuring that email content is secure and unreadable during transit.
- **Advanced Threat Protection**: Identifying and responding to sophisticated cyber threats.

### 2. Web Security
- **URL Filtering**: Blocking access to harmful or inappropriate websites.
- **Malware Scanning**: Inspecting web content to identify and block malware.
- **Application Visibility and Control**: Monitoring and controlling the use of web applications to prevent security breaches.
- **HTTPS Inspection**: Decrypting and inspecting encrypted web traffic for threats.
- **Data Security**: Protecting sensitive data accessed or transferred over the web.

## Cisco Security Products

https://www.cisco.com/site/us/en/products/security/all-products.html

