# Fine-Tuning Tips

This is a living document. These are all the resource links extracted from Akram's and my presentation titled "AI Model Security for Fine-Tuning and Training" in O'Reilly:

1. [LLMs from Scratch GitHub Repository](https://github.com/rasbt/LLMs-from-scratch)
2. [LLM Fine-Tuning GitHub Repository](https://github.com/meetrais/LLM-Fine-Tuning)
3. [Video: Introduction to Fine-Tuning Pre-trained Models](https://www.youtube.com/watch?v=mrKuDK9dGlg)
4. [Article: Fine-Tuning Large Language Models](https://towardsdatascience.com/fine-tuning-large-language-models-llms-23473d763b91)
5. [Visualization: Domain Adaptation in NLP with LLM Fine Tuning - Medium](https://medium.com)
6. [How Fine-Tuning Works for NLP Tasks – YouTube](https://www.youtube.com)
7. [Addressing Bias in AI Models – YouTube](https://www.youtube.com)
8. [Model Compression Visualization - ArXiv](https://arxiv.org)
9. [Personalizing AI Models – YouTube](https://www.youtube.com)
10. [Multilingual NLP Fine-Tuning – YouTube](https://www.youtube.com)
11. [Hacker Repo](https://hackerrepo.org)
12. [MITRE ATLAS](https://atlas.mitre.org)
13. [OWASP GenAI](https://genai.owasp.org)
14. [Becoming a Hacker (Explanation Article)](https://becomingahacker.org/4a2e7d00cdee)
15. [SLM vs LLM (LinkedIn Article)](https://www.linkedin.com/pulse/slm-vs-llm-battle-languages-models-codiste-pywxf)
16. [Unsloth AI GitHub Repository](https://github.com/unslothai/unsloth)
17. [Colab Notebook for Fine-Tuning](https://colab.research.google.com/drive/1EDZxsDVfgml4DlFdGCysAedXZmyBqBoE?usp=sharing)
18. [Unleashing the Power of Unsloth and QLora Blog](https://huggingface.co/blog/Andyrasika/finetune-unsloth-qlora)
19. [Becoming a Hacker (Article)](https://becomingahacker.org/1f332cf37e96)
20. https://github.com/tien02/llm-math
21. https://www.youtube.com/watch?v=wjZofJX0v4M
22. https://www.youtube.com/watch?v=eMlx5fFNoYc

