# Crypto Security Resources

This repository contains a collection of materials and resources focusing on cryptography. Below is a brief description of each file and the challenges directory available in this repository.

## Files

### [1. cert_openssl.md](cert_openssl.md)
This file contains examples of using OpenSSL for certificate management.

### [2. crypto_algorithms.md](crypto_algorithms.md)
This document details different cryptographic algorithms and post-quantum cryptography.

### [3. crypto_frameworks.md](crypto_frameworks.md)
In this file, you'll find an overview of different cryptographic frameworks, with a focus on their features and functionalities.

### [4. crypto_tools.md](crypto_tools.md)
This file lists and describes various cryptographic tools that can assist in security research and cryptography tasks.

### [5. disk_encryption.md](disk_encryption.md)
This document provides information on disk encryption tools.

### [6. gpg_how_to.md](gpg_how_to.md)
This file serves as a guide to using GPG for encryption, including how to create keys, encrypt files, and more.

## [Challenges Directory](challenges/)
This directory hosts a series of crypto challenges that are designed to help you hone your skills in cryptography. These challenges range from beginner to advanced levels, offering a comprehensive learning experience.
