# Hands-On Kubernetes and Docker Security Training Resources
Docker, containers, and Kubernetes have transformed the way we create, deploy, and orchestrate applications on-premise and in the cloud. Yet as these solutions are prone to a number of vulnerabilities and secure misconfigurations that lead to significant breaches and security risks, it has become increasingly important that you know how to implement safeguards.

This fast-paced training will teach you the basics of Docker and Kubernetes security. You will learn the various concepts of container security, how to prevent issues related to container supply chain security, and best practices around application isolation and protection. You will also learn about different authentication schemes, key concepts for how to perform logging, and how to audit the Docker platform. This training also covers clear advice on securing Kubernetes deployment, including how to secure the k8s API server, controller manager, scheduler, kubelet, worker nodes, and running etcd safely. You will also learn details about role-based authentication (RBAC), securing service accounts, Kubernetes Pod security policies, network policies, and secret management.

