# Linux Hardening Tips
The following are a few resources related to hardening Linux implementations.

## Linux Basics
- [Null-byte Linux Basics](https://null-byte.wonderhowto.com/how-to/linux-basics/).
- [Kali Linux Revealed Free Course](https://kali.training/)

### Cool Ways to Test Your Linux Knowledge
- [Overthewire: Bandit](https://overthewire.org/wargames/bandit/)
- [Tryhackme: Linux Modules](https://tryhackme.com/room/linuxmodules)

## Benchmarks and Hardening Guides
- [CIS Benchmarks](https://www.cisecurity.org/cis-benchmarks/)
- [DoD Security Technical Implementation Guides (STIGs)](https://public.cyber.mil/stigs/downloads/?_dl_facet_stigs=operating-systems)
- [Quickly build STIG-compliant Amazon Machine Images using Amazon EC2 Image Builder](https://aws.amazon.com/blogs/security/quickly-build-stig-compliant-amazon-machine-images-using-amazon-ec2-image-builder/)
- [How to Secure and Harden Cloud VM (Ubuntu & CentOS)?](https://geekflare.com/cloud-vm-security-guide/)
- [How To Harden OpenSSH on Ubuntu 20.04](https://www.digitalocean.com/community/tutorials/how-to-harden-openssh-on-ubuntu-20-04)
- [Digital Ocean Security Hardening and General Security Blog Posts](https://www.digitalocean.com/community/tags/security)

## Linux Security Modules
- [SELinux](https://selinuxproject.org)
- [AppArmor](https://apparmor.net/)
- [Smack](https://en.wikipedia.org/wiki/Smack_(software))
- [Tomoyo Linux](https://en.wikipedia.org/wiki/Tomoyo_Linux)

## Additional Resources
- [Linux Kernel Exploitation](https://github.com/xairy/linux-kernel-exploitation)
- [The Linux Auditing Framework](https://github.com/linux-audit/audit-userspace)
- [DevSec Linux Baseline](https://github.com/dev-sec/linux-baseline)
- [Security Content Automation Protocol (SCAP)](https://www.open-scap.org/security-policies/)
- [Linux Privilege Checker](https://github.com/sleventyeleven/linuxprivchecker)

